<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_type.html"><span>Typedefs</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions.html#index_a"><span>a</span></a></li>
      <li><a href="functions_b.html#index_b"><span>b</span></a></li>
      <li class="current"><a href="functions_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_j.html#index_j"><span>j</span></a></li>
      <li><a href="functions_k.html#index_k"><span>k</span></a></li>
      <li><a href="functions_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_n.html#index_n"><span>n</span></a></li>
      <li><a href="functions_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_0x7e.html#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_c.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a class="anchor" id="index_c"></a>- c -</h3><ul>
<li>CanWrite()
: <a class="el" href="db/d9c/classThread_1_1Hdlc_1_1Encoder_1_1BufferWriteIterator.html#a8d6d63d2b1855c2a1dd6deb536ebf702">Thread::Hdlc::Encoder::BufferWriteIterator</a>
</li>
<li>CheckReachability()
: <a class="el" href="df/d94/group__core-mle-core.html#ga27bbb63f94a4f59d1249fce8baa830ed">Thread::Mle::Mle</a>
, <a class="el" href="db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656">Thread::Mle::MleRouter</a>
</li>
<li>Clear()
: <a class="el" href="d4/dcf/classThread_1_1AddressResolver.html#af9e813b464854994a8beda21d91c989c">Thread::AddressResolver</a>
, <a class="el" href="dd/d38/classThread_1_1LinkQualityInfo.html#a476c18fbd4d727fd09a778bfdc983c86">Thread::LinkQualityInfo</a>
, <a class="el" href="d4/db9/classThread_1_1Mac_1_1Blacklist.html#afed00b8cfd28a81ed41f72428a7c43a0">Thread::Mac::Blacklist</a>
, <a class="el" href="d7/d98/classThread_1_1Mac_1_1Whitelist.html#a95503128cd8b0f8e8b16d11529aba6db">Thread::Mac::Whitelist</a>
, <a class="el" href="d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a8a8d126f604b8dbedb7128c9292480f9">Thread::MeshCoP::Dataset</a>
, <a class="el" href="d5/d0c/classThread_1_1MeshCoP_1_1SteeringDataTlv.html#a90cfa85560c90e598b0d0b67498f9e99">Thread::MeshCoP::SteeringDataTlv</a>
, <a class="el" href="d0/d78/classThread_1_1NcpFrameBuffer.html#ab2380a440712abb615835172a0863bdf">Thread::NcpFrameBuffer</a>
</li>
<li>ClearAssignedRouterIdMask()
: <a class="el" href="dd/dd2/classThread_1_1ThreadRouterMaskTlv.html#ae5dbeb88e3c99ebc83078c64e8383651">Thread::ThreadRouterMaskTlv</a>
</li>
<li>ClearBit()
: <a class="el" href="d5/d0c/classThread_1_1MeshCoP_1_1SteeringDataTlv.html#af1ea982702e0ba080d5ba3b4a4ee18b0">Thread::MeshCoP::SteeringDataTlv</a>
</li>
<li>ClearChannel()
: <a class="el" href="d6/d52/classThread_1_1MeshCoP_1_1ChannelMaskEntry.html#a86e52a2c26e383177e1d2ad5b71e9845">Thread::MeshCoP::ChannelMaskEntry</a>
</li>
<li>ClearChildMask()
: <a class="el" href="dc/d3c/classThread_1_1Message.html#a83c952b13dc03db254c352e08cdc22d0">Thread::Message</a>
</li>
<li>ClearCompress()
: <a class="el" href="df/d56/classThread_1_1NetworkData_1_1ContextTlv.html#a11702200453f94f23ed25d876429df4d">Thread::NetworkData::ContextTlv</a>
</li>
<li>ClearConfigure()
: <a class="el" href="d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#a4b5a94d51657059590f93b1154a4f2ee">Thread::NetworkData::BorderRouterEntry</a>
</li>
<li>ClearDefaultRoute()
: <a class="el" href="d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#aaf07466f2181a24282d6986f5a943fd7">Thread::NetworkData::BorderRouterEntry</a>
</li>
<li>ClearDhcp()
: <a class="el" href="d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#a6457becc9298917d6c134a3dfeedfe47">Thread::NetworkData::BorderRouterEntry</a>
</li>
<li>ClearDirectTransmission()
: <a class="el" href="dc/d3c/classThread_1_1Message.html#a183da0e2f6fb8dce996342aefd2512a6">Thread::Message</a>
</li>
<li>ClearEndDeviceFlag()
: <a class="el" href="da/d3d/classThread_1_1Mle_1_1ScanMaskTlv.html#a122b053340311e0b4d26157662fb975b">Thread::Mle::ScanMaskTlv</a>
</li>
<li>ClearFixedRssi()
: <a class="el" href="d7/d98/classThread_1_1Mac_1_1Whitelist.html#a066c75306e898fdeccd346cdd5e8e4cf">Thread::Mac::Whitelist</a>
</li>
<li>ClearJoiners()
: <a class="el" href="dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html#afcaf41372cb39fcc8a1502cb0121a3a5">Thread::MeshCoP::Commissioner</a>
</li>
<li>ClearJoiningPermitted()
: <a class="el" href="dc/dbd/classThread_1_1Mac_1_1Beacon.html#a8be37c57b5d825c4835a91533636c849">Thread::Mac::Beacon</a>
</li>
<li>ClearMaxFlag()
: <a class="el" href="db/dfd/classThread_1_1Ip6_1_1OptionMpl.html#a80b6ee902a7547488014a1a3fb5b7bd2">Thread::Ip6::OptionMpl</a>
</li>
<li>ClearMoreFlag()
: <a class="el" href="d6/d56/classThread_1_1Ip6_1_1FragmentHeader.html#af6863c6e0264d3ea5792cd6644bdc664">Thread::Ip6::FragmentHeader</a>
</li>
<li>ClearNative()
: <a class="el" href="dc/dbd/classThread_1_1Mac_1_1Beacon.html#a6025c99678cf4cbaf9573c40b158e7e7">Thread::Mac::Beacon</a>
</li>
<li>ClearOnMesh()
: <a class="el" href="d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#acd86e6cac09b7848359ce10cc52bf289">Thread::NetworkData::BorderRouterEntry</a>
</li>
<li>ClearPreferred()
: <a class="el" href="d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#a2f894a14f1f28c1719282a4190d14088">Thread::NetworkData::BorderRouterEntry</a>
</li>
<li>ClearResubmitDelayTimer()
: <a class="el" href="d4/d80/group__core-netdata-core.html#gaa8ec766398d8edf196d931889e6e0827">Thread::NetworkData::NetworkData</a>
</li>
<li>ClearRouterFlag()
: <a class="el" href="da/d3d/classThread_1_1Mle_1_1ScanMaskTlv.html#a6ae41fc5cbc1f0f0647451756d056117">Thread::Mle::ScanMaskTlv</a>
</li>
<li>ClearRouterIdMask()
: <a class="el" href="d6/d9e/classThread_1_1Mle_1_1RouteTlv.html#a4a8c59d3c400c4cece6a169a6bb8428d">Thread::Mle::RouteTlv</a>
, <a class="el" href="d6/d79/classThread_1_1NetworkDiagnostic_1_1RouteTlv.html#a3bc220708925d0c9f0b49a05a1f6bf69">Thread::NetworkDiagnostic::RouteTlv</a>
</li>
<li>ClearSlaac()
: <a class="el" href="d9/d64/classThread_1_1NetworkData_1_1BorderRouterEntry.html#a044a176edbcefd7d8ce23aec2e4e76ae">Thread::NetworkData::BorderRouterEntry</a>
</li>
<li>ClearSrcMatchEntries()
: <a class="el" href="d6/d88/classThread_1_1Mac_1_1Mac.html#a62566a20fe0561dcf9ad87fa976be14f">Thread::Mac::Mac</a>
</li>
<li>ClearSrcMatchEntry()
: <a class="el" href="d6/d88/classThread_1_1Mac_1_1Mac.html#aa6b6474625ad896bbdff3438e7f96566">Thread::Mac::Mac</a>
</li>
<li>ClearStable()
: <a class="el" href="d5/d81/classThread_1_1NetworkData_1_1NetworkDataTlv.html#aa4859aa514ee48c935c7af7bb7b2f7fa">Thread::NetworkData::NetworkDataTlv</a>
</li>
<li>Close()
: <a class="el" href="dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#a2c050c372e20976105003cb8d4d6fc90">Thread::Ip6::UdpSocket</a>
</li>
<li>CoapMessageHandler
: <a class="el" href="d0/d63/classThread_1_1Coap_1_1Resource.html#a90c9ec7ffb90463f3b7ab0ef86b53b7c">Thread::Coap::Resource</a>
</li>
<li>Code
: <a class="el" href="d0/d7f/classThread_1_1Coap_1_1Header.html#a14de12f3c0338e69a239cb4dc9afaf07">Thread::Coap::Header</a>
, <a class="el" href="d2/de0/classThread_1_1Ip6_1_1IcmpHeader.html#ac2a08e3b5fc1a6cb6a1f2dead5403e02">Thread::Ip6::IcmpHeader</a>
</li>
<li>Command
: <a class="el" href="df/d94/group__core-mle-core.html#ga031d27cab64728206709aeee8440f4ff">Thread::Mle::Header</a>
</li>
<li>Commissioner()
: <a class="el" href="dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html#a8406c25cf23c739f803812e58619b444">Thread::MeshCoP::Commissioner</a>
</li>
<li>Compare()
: <a class="el" href="d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#adbbce97d87391aadc3e3223db67b59aa">Thread::MeshCoP::Dataset</a>
, <a class="el" href="d1/def/classThread_1_1MeshCoP_1_1Timestamp.html#aa13f4aa7fb7852e57b3466feff2a4e99">Thread::MeshCoP::Timestamp</a>
</li>
<li>ComparePartitions()
: <a class="el" href="db/dec/group__core-mle-router.html#ga8ff435384ef5423683fbb74f0d87c1a9">Thread::Mle::MleRouter</a>
</li>
<li>Compress()
: <a class="el" href="d8/d3a/classThread_1_1Lowpan_1_1Lowpan.html#a96cd83be02e4d74593f98a86ee1a477c">Thread::Lowpan::Lowpan</a>
</li>
<li>ComputePseudoheaderChecksum()
: <a class="el" href="d3/d05/classThread_1_1Ip6_1_1Ip6.html#a5f39ba98f1e62d4b618aa83ac8c047b6">Thread::Ip6::Ip6</a>
</li>
<li>Console()
: <a class="el" href="dd/dce/classThread_1_1Cli_1_1Console.html#a3eeb91cf175c812701734c56a3b58c60">Thread::Cli::Console</a>
</li>
<li>ContainsExternalRoutes()
: <a class="el" href="d4/d80/group__core-netdata-core.html#gaad3d7b2e97324d6cb9d87c464bcb995a">Thread::NetworkData::NetworkData</a>
</li>
<li>ContainsOnMeshPrefixes()
: <a class="el" href="d4/d80/group__core-netdata-core.html#ga9e4be52c4b1edb2b456372e07f936e64">Thread::NetworkData::NetworkData</a>
</li>
<li>ConvertLinkMarginToLinkQuality()
: <a class="el" href="dd/d38/classThread_1_1LinkQualityInfo.html#a4b535d272b35be3caa31dbd007d87b86">Thread::LinkQualityInfo</a>
</li>
<li>ConvertRssToLinkMargin()
: <a class="el" href="dd/d38/classThread_1_1LinkQualityInfo.html#aecb995df780f6eb79a340614e71d1b5c">Thread::LinkQualityInfo</a>
</li>
<li>ConvertRssToLinkQuality()
: <a class="el" href="dd/d38/classThread_1_1LinkQualityInfo.html#a71ca210fafdcf960124dd2a4b52ea875">Thread::LinkQualityInfo</a>
</li>
<li>CopyTo()
: <a class="el" href="dc/d3c/classThread_1_1Message.html#a6ad07f345f6fbc1c0917d2ccf5ce9042">Thread::Message</a>
</li>
<li>Crc16()
: <a class="el" href="de/dd3/classThread_1_1Crc16.html#aad0debba6eeaba0e983c3ee4cf01eb81">Thread::Crc16</a>
</li>
<li>CreateIid()
: <a class="el" href="dd/d32/classThread_1_1Utils_1_1SemanticallyOpaqueIidGenerator.html#aa63452c20829bd917ecdbe0448bacab8">Thread::Utils::SemanticallyOpaqueIidGenerator</a>
</li>
<li>CreateRandomIid()
: <a class="el" href="d5/d79/classThread_1_1Utils_1_1Slaac.html#a4dc0d6478561125fc73d8b43300c6985">Thread::Utils::Slaac</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:38 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
